## ksshaskpass 6.3.0

=== debian/changelog ===
ksshaskpass (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:58:29 +0100

ksshaskpass (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:51:01 +0100

ksshaskpass (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:06:15 +0100

ksshaskpass (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:56:57 +0100

ksshaskpass (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:22:06 +0100

ksshaskpass (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:24 +0100

ksshaskpass (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:46:00 +0200

ksshaskpass (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:41 +0200

ksshaskpass (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:37 +0200

ksshaskpass (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:17 +0200

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6doctools-dev,
               libkf6i18n-dev (>= 6.10.0~),
               libkf6wallet-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/ksshaskpass
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksshaskpass
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksshaskpass.git
Rules-Requires-Root: no

Package: ksshaskpass
Architecture: any
Depends: openssh-client, ${misc:Depends}, ${shlibs:Depends},
Recommends: kwalletmanager,
Provides: ssh-askpass,
Description: interactively prompt users for a passphrase for ssh-add
 A front-end for ssh-add which stores the password
 of the ssh-key in KWallet.

## ksshaskpass 6.3.2

=== debian/changelog ===
ksshaskpass (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:51:25 +0100

## ksshaskpass 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(ksshaskpass)
set(PROJECT_VERSION "6.3.4")

set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(Qt6  ${QT_MIN_VERSION} REQUIRED COMPONENTS Core)


add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    I18n
    Wallet
    WidgetsAddons
)

find_package(KF6DocTools)
set_package_properties(KF6DocTools PROPERTIES TYPE OPTIONAL
   PURPOSE "Required to build ksshaskpass manpage")

ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.9.0
)

set(ksshaskpass_SRCS src/main.cpp)
 
add_executable(ksshaskpass ${ksshaskpass_SRCS})
target_compile_definitions(ksshaskpass PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(ksshaskpass 
    KF6::CoreAddons
    KF6::I18n
    KF6::Wallet
    KF6::WidgetsAddons
)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

install(TARGETS ksshaskpass DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.ksshaskpass.desktop DESTINATION ${KDE_INSTALL_APPDIR})

if (KF6DocTools_FOUND)
    add_subdirectory(doc)
endif()

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ksshaskpass (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 00:58:47 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/ksshaskpass
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksshaskpass
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksshaskpass.git

## ksshaskpass 6.3.5

=== debian/changelog ===
ksshaskpass (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:33:43 +0100

ksshaskpass (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:55:26 +0100

ksshaskpass (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:18:43 +0000

ksshaskpass (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on KF6 >= 6.10.0

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 14:15:15 +0000

## ksshaskpass 6.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 project(ksshaskpass)
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.4.4")
 
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -38,7 +38,7 @@
    PURPOSE "Required to build ksshaskpass manpage")
 
 ecm_set_disabled_deprecation_versions(QT 6.8.1
-    KF 6.9.0
+    KF 6.12.0
 )
 
 set(ksshaskpass_SRCS src/main.cpp)

=== debian/changelog ===
ksshaskpass (4:6.4.4-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 13:58:05 +0000

ksshaskpass (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:19:13 +0000

ksshaskpass (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 10:59:33 +0000

ksshaskpass (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:26:36 +0000

ksshaskpass (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:42:18 +0000

ksshaskpass (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:15:54 +0000

ksshaskpass (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:50:19 +0000

ksshaskpass (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:00:49 +0000

ksshaskpass (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:00:34 +0000

ksshaskpass (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:04:00 +0000

ksshaskpass (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:47:30 +0000

ksshaskpass (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:23:44 +0000

ksshaskpass (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:11:23 +1000

ksshaskpass (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:26:57 +0000

ksshaskpass (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:04:47 +0000

ksshaskpass (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:57:51 +0000

ksshaskpass (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:03:20 +0000

ksshaskpass (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:31:30 +0000

ksshaskpass (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:07:54 +0000

ksshaskpass (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:26:10 +0000

ksshaskpass (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:02:38 +0000

ksshaskpass (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:34:59 +0000

ksshaskpass (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:54:16 +0000

ksshaskpass (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:13:33 +0000

ksshaskpass (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:42:22 +0000

ksshaskpass (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Mar 2024 23:59:08 +0000

ksshaskpass (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:18:13 +0000

ksshaskpass (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:12:57 +1000

ksshaskpass (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:47:45 +0000

ksshaskpass (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:56:48 +0000

ksshaskpass (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 18:05:52 +0000

ksshaskpass (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:20:27 +0000

ksshaskpass (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:04:08 +0000

ksshaskpass (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:32:28 +0000

ksshaskpass (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:27:18 +0000

ksshaskpass (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:07:58 +0000

ksshaskpass (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:00:25 +0000

ksshaskpass (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:29:19 +0000

ksshaskpass (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:23:40 +0000

ksshaskpass (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:42:33 +0000

ksshaskpass (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:39:18 +0000

ksshaskpass (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:19:40 +0000

ksshaskpass (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:57:00 +0000

ksshaskpass (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:37:14 +0000

ksshaskpass (4:5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:08:49 +0000

ksshaskpass (4:5.25.3-0neon) focal; urgency=medium

  * New release



## ksshaskpass 6.4.5

=== debian/changelog ===
ksshaskpass (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:47 +0100

ksshaskpass (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:28:36 +0100

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6wallet-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/ksshaskpass
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass
Rules-Requires-Root: no

Package: ksshaskpass
Architecture: any
Depends: openssh-client, ${misc:Depends}, ${shlibs:Depends},
Recommends: kwalletmanager,
Provides: ssh-askpass,
Description: interactively prompt users for a passphrase for ssh-add
 A front-end for ssh-add which stores the password
 of the ssh-key in KWallet.

## ksshaskpass 6.4.5+p24.04+vstable+git20251003.0951

=== debian/changelog ===
ksshaskpass (4:6.4.5+p24.04+vstable+git20251003.0951-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 09:51:41 +0000

ksshaskpass (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:55:22 +0000

## ksshaskpass 6.4.5+p24.04+vstable+git20251004.0535

=== debian/changelog ===
ksshaskpass (4:6.4.5+p24.04+vstable+git20251004.0535-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:35:07 +0000

## ksshaskpass 6.4.5+p24.04+vstable+git20251012.0412

=== debian/changelog ===
ksshaskpass (4:6.4.5+p24.04+vstable+git20251012.0412-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 04:12:38 +0000

## ksshaskpass 6.4.5+p24.04+vstable+git20251019.0242

=== debian/changelog ===
ksshaskpass (4:6.4.5+p24.04+vstable+git20251019.0242-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:42:36 +0000

## ksshaskpass 6.4.5+p24.04+vunstable+git20251020.2021

=== debian/changelog ===
ksshaskpass (4:6.4.5+p24.04+vunstable+git20251020.2021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 20:21:55 +0000

## ksshaskpass 6.4.91

=== debian/changelog ===
ksshaskpass (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:04:51 +0200

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6doctools-dev,
               libkf6i18n-dev (>= 6.18.0~),
               libkf6wallet-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/ksshaskpass
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksshaskpass
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksshaskpass.git
Rules-Requires-Root: no

Package: ksshaskpass
Architecture: any
Depends: openssh-client,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kwalletmanager,
Provides: ssh-askpass,
Description: interactively prompt users for a passphrase for ssh-add
 A front-end for ssh-add which stores the password
 of the ssh-key in KWallet.

## ksshaskpass 6.5.0

=== debian/changelog ===
ksshaskpass (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
 Homepage: https://invent.kde.org/plasma/ksshaskpass
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksshaskpass
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksshaskpass.git
-Rules-Requires-Root: no
 
 Package: ksshaskpass
 Architecture: any

## ksshaskpass 6.5.0+p24.04+vstable+git20251021.0710

=== debian/changelog ===
ksshaskpass (4:6.5.0+p24.04+vstable+git20251021.0710-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:10:49 +0000

ksshaskpass (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:23:15 +0000

## ksshaskpass 6.5.0+p24.04+vstable+git20251028.0948

=== debian/changelog ===
ksshaskpass (4:6.5.0+p24.04+vstable+git20251028.0948-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:48:08 +0000

## ksshaskpass 6.5.0+p24.04+vunstable+git20251021.0711

=== debian/changelog ===
ksshaskpass (4:6.5.0+p24.04+vunstable+git20251021.0711-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:11:41 +0000

## ksshaskpass 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 project(ksshaskpass)
-set(PROJECT_VERSION "6.4.4")
+set(PROJECT_VERSION "6.5.1")
 
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
ksshaskpass (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:08:38 +0100

## ksshaskpass 6.5.1+p24.04+vstable+git20251029.0655

=== debian/changelog ===
ksshaskpass (4:6.5.1+p24.04+vstable+git20251029.0655-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:55:01 +0000

ksshaskpass (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:46:11 +0000

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/ksshaskpass
Vcs-Git: https://invent.kde.org/neon/kde/ksshaskpass.git
Vcs-Browser: https://invent.kde.org/neon/kde/ksshaskpass
Maintainer: Neon CI <neon@kde.org>

Package: ksshaskpass
Architecture: any
Depends: openssh-client, ${misc:Depends}, ${shlibs:Depends}
Recommends: kwalletmanager
Provides: ssh-askpass
Description: interactively prompt users for a passphrase for ssh-add
 A version of ssh-askpass with KWallet support.

## ksshaskpass 6.5.1+p24.04+vstable+git20251031.0906

=== debian/changelog ===
ksshaskpass (4:6.5.1+p24.04+vstable+git20251031.0906-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:06:49 +0000

## ksshaskpass 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(ksshaskpass)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
ksshaskpass (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:12:02 +0000

ksshaskpass (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:46:16 +0000

ksshaskpass (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:36:58 +0100

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6wallet-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/ksshaskpass
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass
Rules-Requires-Root: no

Package: ksshaskpass
Architecture: any
Depends: openssh-client, ${misc:Depends}, ${shlibs:Depends},
Recommends: kwalletmanager,
Provides: ssh-askpass,
Description: interactively prompt users for a passphrase for ssh-add
 A front-end for ssh-add which stores the password
 of the ssh-key in KWallet.

## ksshaskpass 6.5.2+p24.04+vunstable+git20251113.0223

=== debian/changelog ===
ksshaskpass (4:6.5.2+p24.04+vunstable+git20251113.0223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 02:23:15 +0000

ksshaskpass (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:30 +1000

## ksshaskpass 6.5.3

=== debian/changelog ===
ksshaskpass (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:23:14 +0100

ksshaskpass (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:23:01 +0100

## ksshaskpass 6.5.3+p24.04+vunstable+git20251123.0101

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 project(ksshaskpass)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.80")
 
 set(QT_MIN_VERSION "6.9.0")
+set(QT_KEYCHAIN_MIN_VERSION "0.15.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
@@ -23,13 +24,13 @@
 
 find_package(Qt6  ${QT_MIN_VERSION} REQUIRED COMPONENTS Core)
 
+find_package(Qt6Keychain ${QT_KEYCHAIN_MIN_VERSION} REQUIRED)
 
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
     I18n
-    Wallet
     WidgetsAddons
 )
 
@@ -45,11 +46,11 @@
  
 add_executable(ksshaskpass ${ksshaskpass_SRCS})
 target_compile_definitions(ksshaskpass PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
-target_link_libraries(ksshaskpass 
+target_link_libraries(ksshaskpass
     KF6::CoreAddons
     KF6::I18n
-    KF6::Wallet
     KF6::WidgetsAddons
+    Qt6Keychain::Qt6Keychain
 )
 
 # add clang-format target for all our real source files

## ksshaskpass 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 project(ksshaskpass)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 
 set(QT_MIN_VERSION "6.9.0")
-set(QT_KEYCHAIN_MIN_VERSION "0.15.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
@@ -24,13 +23,13 @@
 
 find_package(Qt6  ${QT_MIN_VERSION} REQUIRED COMPONENTS Core)
 
-find_package(Qt6Keychain ${QT_KEYCHAIN_MIN_VERSION} REQUIRED)
 
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
     I18n
+    Wallet
     WidgetsAddons
 )
 
@@ -46,11 +45,11 @@
  
 add_executable(ksshaskpass ${ksshaskpass_SRCS})
 target_compile_definitions(ksshaskpass PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
-target_link_libraries(ksshaskpass
+target_link_libraries(ksshaskpass 
     KF6::CoreAddons
     KF6::I18n
+    KF6::Wallet
     KF6::WidgetsAddons
-    Qt6Keychain::Qt6Keychain
 )
 
 # add clang-format target for all our real source files

=== debian/changelog ===
ksshaskpass (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:17:46 +0000

ksshaskpass (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:07:15 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6coreaddons-dev (>= 6.18.0~),

## ksshaskpass 6.5.4+p24.04+vstable+git20251231.0111

=== debian/changelog ===
ksshaskpass (4:6.5.4+p24.04+vstable+git20251231.0111-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:11:11 +0000

ksshaskpass (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:48 +1000

ksshaskpass (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:27 +1000

## ksshaskpass 6.5.4+p24.04+vstable+git20260102.1201

=== debian/changelog ===
ksshaskpass (4:6.5.4+p24.04+vstable+git20260102.1201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:01:41 +0000

## ksshaskpass 6.5.4+p24.04+vunstable+git20251209.1355

=== debian/changelog ===
ksshaskpass (4:6.5.4+p24.04+vunstable+git20251209.1355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 13:55:04 +0000

## ksshaskpass 6.5.4+p24.04+vunstable+git20260103.0055

=== debian/changelog ===
ksshaskpass (4:6.5.4+p24.04+vunstable+git20260103.0055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 00:55:42 +0000

## ksshaskpass 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(ksshaskpass)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
ksshaskpass (4:6.5.5-0zneon+24.04+noble+release+build33) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 21:09:41 +0000

ksshaskpass (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:32:54 +1000

## ksshaskpass 6.5.5+p24.04+vstable+git20260129.0100

=== debian/changelog ===
ksshaskpass (4:6.5.5+p24.04+vstable+git20260129.0100-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:00:18 +0000

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qtkeychain-qt6-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/ksshaskpass
Vcs-Git: https://invent.kde.org/neon/kde/ksshaskpass.git
Vcs-Browser: https://invent.kde.org/neon/kde/ksshaskpass
Maintainer: Neon CI <neon@kde.org>

Package: ksshaskpass
Architecture: any
Depends: openssh-client, ${misc:Depends}, ${shlibs:Depends}
Recommends: keepsecret
Provides: ssh-askpass
Description: interactively prompt users for a passphrase for ssh-add
 A version of ssh-askpass with KWallet support.

## ksshaskpass 6.5.5+p24.04+vstable+git20260131.0247

=== debian/changelog ===
ksshaskpass (4:6.5.5+p24.04+vstable+git20260131.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:47:04 +0000

## ksshaskpass 6.6.1

=== debian/changelog ===
ksshaskpass (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Build depend on qtkeychain-qt6-dev
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:13:43 +0000

ksshaskpass (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:55:26 +0000

## ksshaskpass 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 project(ksshaskpass)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.2")
 
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(QT_KEYCHAIN_MIN_VERSION "0.15.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -23,13 +24,13 @@
 
 find_package(Qt6  ${QT_MIN_VERSION} REQUIRED COMPONENTS Core)
 
+find_package(Qt6Keychain ${QT_KEYCHAIN_MIN_VERSION} REQUIRED)
 
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
     I18n
-    Wallet
     WidgetsAddons
 )
 
@@ -45,11 +46,11 @@
  
 add_executable(ksshaskpass ${ksshaskpass_SRCS})
 target_compile_definitions(ksshaskpass PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
-target_link_libraries(ksshaskpass 
+target_link_libraries(ksshaskpass
     KF6::CoreAddons
     KF6::I18n
-    KF6::Wallet
     KF6::WidgetsAddons
+    Qt6Keychain::Qt6Keychain
 )
 
 # add clang-format target for all our real source files

=== debian/changelog ===
ksshaskpass (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:22:06 +0000

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6doctools-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6wallet-dev (>= 6.22.0~),
               libkf6widgetsaddons-dev (>= 6.22.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/ksshaskpass
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass
Rules-Requires-Root: no

Package: ksshaskpass
Architecture: any
Depends: openssh-client, ${misc:Depends}, ${shlibs:Depends},
Recommends: kwalletmanager,
Provides: ssh-askpass,
Description: interactively prompt users for a passphrase for ssh-add
 A front-end for ssh-add which stores the password
 of the ssh-key in KWallet.
